Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.domain
Class LTF_Parser.ConstraintParser

    java.lang.Object
      ix.util.match.MatchCase
          ix.iface.domain.LTF_Parser.ConstraintParser

Enclosing class:
  LTF_Parser

    public abstract static class LTF_Parser.ConstraintParser

extends MatchCase

Field Summary

Fields inherited from class ix.util.match.MatchCase
`pattern`

Constructor Summary
`LTF_Parser.ConstraintParser(java.lang.String pat)`

Method Summary
`java.lang.Object` | `ifSelected(java.lang.Object spec, java.lang.Object match)` ifSelected is called by the MatchTable when tryMatch returns a non-null result.
`abstract Constraint` | `makeConstraint(LList spec, MatchEnv env)`
`abstract Constraint` | `makeTemplate()`
`java.lang.Object` | `tryMatch(java.lang.Object spec)` tryMatch attempts to match against the pattern, returning null if the match fails and some non-null object (such as a MatchEnv) if the match succeeds.

Methods inherited from class ix.util.match.MatchCase
`getPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LTF_Parser.ConstraintParser

    LTF_Parser.ConstraintParser(java.lang.String pat)

Method Detail

### tryMatch

    public java.lang.Object tryMatch(java.lang.Object spec)

  Description copied from class: `MatchCase`
  tryMatch attempts to match against the pattern, returning null if the match fails and some non-null object (such as a MatchEnv) if the match succeeds.

  Specified by:
    `tryMatch` in class `MatchCase`

### ifSelected

    public java.lang.Object ifSelected(java.lang.Object spec,
                                       java.lang.Object match)

  Description copied from class: `MatchCase`
  ifSelected is called by the MatchTable when tryMatch returns a non-null result. The object that was matched, and the non-null match result, are passed as arguments to ifSelected. The method provided here simply returns the same match result.

  Overrides:
    `ifSelected` in class `MatchCase`

### makeConstraint

    public abstract Constraint makeConstraint(LList spec,
                                              MatchEnv env)

### makeTemplate

    public abstract Constraint makeTemplate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD